Create new API key
curl --request POST \
--url https://api-v2.requesty.ai/v1/manage/apikey \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"monthly_limit": 123
}
'import requests
url = "https://api-v2.requesty.ai/v1/manage/apikey"
payload = {
"name": "<string>",
"monthly_limit": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', monthly_limit: 123})
};
fetch('https://api-v2.requesty.ai/v1/manage/apikey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_key": "<string>"
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Create API Key
Create a new API key for the organization
POST
/
v1
/
manage
/
apikey
Create new API key
a new API key for your organization. The API key will be created with the specified name and monthly limit.
The API key string is only returned once upon creation. Make sure to save it securely as it cannot be retrieved later.
Last modified on April 27, 2026
Was this page helpful?
⌘I